curl --request GET \
--url https://api.givingcompass.org/insights/beta/nonprofits/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.givingcompass.org/insights/beta/nonprofits/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.givingcompass.org/insights/beta/nonprofits/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"intentDetails": {
"llm_response": {
"function_name": "<string>",
"arguments": {},
"message": "<string>"
},
"intent": "<string>",
"prompt": "<string>",
"cause": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"min_revenue": 123,
"max_revenue": 123,
"sdgs": [
123
],
"ntee_codes": [
"<string>"
],
"organization_name": "<string>",
"organization_ein": "<string>",
"min_score": 123,
"max_score": 123,
"min_rating": 123,
"max_rating": 123,
"org_size": [
"<string>"
]
},
"nonprofits": [
{
"ein": "<string>",
"name": "<string>",
"url": "<string>",
"summary": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode5": "<string>",
"ntee": "<string>",
"issueArea": "<string>",
"yearFounded": 123,
"filingYear": 123,
"revenueGrandTotal": 123,
"netAssets": 123,
"foundation": true,
"inactive": true,
"irsRulingDate": "2023-12-25",
"sdgs": [
123
],
"formType": "<string>",
"lat": 123,
"lng": 123,
"cnScore": 123,
"cnRating": 123,
"cnSize": "<string>",
"vectorScore": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Search Nonprofits
Authorizations
Add a header [X-API-Key] with the token
Headers
A unique UUID value to maintain context
Query Parameters
Primary query used for the search
256List of 2-character numeric subsection codes (e.g., '03' indicates a 501C3, '04' indicates a 501C4)
2^\d{2}$Flag to filter by foundation status. If true, only foundations are included, and excluded if false.
Flag to limit the search to organizations with deductible donations
Latitude for location-based search
Longitude for location-based search
Search radius in miles (0 for unlimited)
x >= 0City for location-based search
2 - 100County for location-based search
2 - 100State for location-based search (2 character abbreviation)
2ZIP Code for location-based search
^\d{5}$Minimum annual revenue in dollars
x >= 0Maximum annual revenue in dollars
x >= 0Minimum annual expenses in dollars
x >= 0Maximum annual expenses in dollars
x >= 0Minimum total assets in dollars
x >= 0Maximum total assets in dollars
x >= 0List of SDG numbers to filter by
1 <= x <= 17List of NTEE (National Taxonomy of Exempt Entities) codes
Minimum number of employees
x >= 0Maximum number of employees
x >= 0Minimum organization score
0 <= x <= 100Maximum organization score
0 <= x <= 100Minimum star rating for organization
0 <= x <= 4Maximum star rating for organization
0 <= x <= 4One or more sizes of the organization based on classification. Valid values are 'Small', 'Medium', 'Large', and 'Super-Size'.
Sort options for the search results.
Max vector distance for the search. Higher number means more lenient vector matching.
0 <= x <= 1LLM model to use for intent processing. Options: 'gemini-2.5-flash-lite' (default) or 'gpt-3.5-turbo-0125'.
Page number
x >= 1Items per page
1 <= x <= 100